UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

- All
- Variables

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- z

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - r -

- rctlr_data_msgs : lbm_src_transport_stats_lbtrm_t_stct
- rctlr_rx_msgs : lbm_src_transport_stats_lbtrm_t_stct
- rcv_addr : lbm_srp_repo_rcvr_t_stct
- rcv_cb_svc_time_max : lbm_context_stats_t_stct
- rcv_cb_svc_time_mean : lbm_context_stats_t_stct
- rcv_cb_svc_time_min : lbm_context_stats_t_stct
- rcv_domain_id : lbm_srp_repo_rcvr_t_stct
- rcv_port : lbm_srp_repo_rcvr_t_stct
- rcv_registration_id : lbm_msg_ume_deregistration_ex_t_stct , lbm_msg_ume_registration_ex_t_stct , lbm_msg_ume_registration_t_stct , lbm_src_event_ume_ack_ex_info_t_stct , lbm_src_event_ume_ack_info_t_stct
- rcv_umq_queue_msg_list : lbm_async_operation_info_t
- rcv_umq_queue_msg_retrieve : lbm_async_operation_info_t
- rcvs : lbm_srp_repo_t_stct
- realloc_cb_func : lbm_mem_mgt_callbacks_t_stct
- recalc_duration_sec : _Lbmmon__DROMonMsg__Stats__Local , _Lbmmon__DROMonMsg__Stats__Portal , tnwg_rm_stat_grp_local_info_t_stct , tnwg_rm_stat_grp_portal_info_t_stct
- recalc_duration_usec : _Lbmmon__DROMonMsg__Stats__Local , _Lbmmon__DROMonMsg__Stats__Portal , tnwg_rm_stat_grp_local_info_t_stct , tnwg_rm_stat_grp_portal_info_t_stct
- receive : _Lbmmon__DROMonMsg__Stats__Portal__Endpoint , _Lbmmon__DROMonMsg__Stats__Portal__Peer
- receive_stats : tnwg_portal_endpoint_dstat_record_t_stct , tnwg_portal_peer_dstat_record_t_stct
- receiver : lbm_src_event_umq_ulb_message_info_ex_t_stct , lbm_src_event_umq_ulb_receiver_info_ex_t_stct
- receiver_pcre_patterns : _Lbmmon__DROMonMsg__Stats__Portal , tnwg_portal_endpoint_dstat_record_t_stct , tnwg_portal_peer_dstat_record_t_stct
- receiver_regex_patterns : _Lbmmon__DROMonMsg__Stats__Portal , tnwg_portal_endpoint_dstat_record_t_stct , tnwg_portal_peer_dstat_record_t_stct
- receiver_topics : _Lbmmon__DROMonMsg__Stats__Portal , tnwg_portal_endpoint_dstat_record_t_stct , tnwg_portal_peer_dstat_record_t_stct
- rechdr : tnwg_dstat_portalstats_msg_t_stct , tnwg_pcfg_stat_grp_msg_t_stct
- record : tnwg_dstat_mallinfo_msg_t_stct , tnwg_dstat_portalstats_msg_t_stct
- record_length : tnwg_dstat_record_hdr_t_stct
- recvfrom : lbm_datagram_acceleration_func_t_stct
- refcnt : lbm_msg_t_stct
- regid : lbm_srp_repo_rcvr_t_stct , lbm_umq_msgid_t_stct , lbm_umq_queue_entry_t_stct , ume_liveness_receiving_context_t_stct , umestore_disk_dmon_stat_msg_t_stct , umestore_rcv_dmon_config_msg_t_stct , umestore_rcv_dmon_stat_msg_t_stct , umestore_repo_dmon_config_msg_t_stct , umestore_repo_dmon_stat_msg_t_stct
- registration_id : lbm_context_event_umq_registration_complete_ex_t_stct , lbm_context_event_umq_registration_ex_t_stct , lbm_src_event_ume_deregistration_ex_t_stct , lbm_src_event_ume_registration_ex_t_stct , lbm_src_event_ume_registration_t_stct , lbm_src_event_umq_ulb_message_info_ex_t_stct , lbm_src_event_umq_ulb_receiver_info_ex_t_stct , lbm_ume_store_entry_t_stct , lbm_ume_store_name_entry_t_stct
- remote_interest_pcre_patterns : _Lbmmon__DROMonMsg__Stats__Portal__Endpoint , tnwg_portal_endpoint_dstat_record_t_stct , tnwg_portal_peer_dstat_record_t_stct
- remote_interest_regex_patterns : _Lbmmon__DROMonMsg__Stats__Portal__Endpoint , tnwg_portal_endpoint_dstat_record_t_stct , tnwg_portal_peer_dstat_record_t_stct
- remote_interest_topics : _Lbmmon__DROMonMsg__Stats__Portal__Endpoint , tnwg_portal_endpoint_dstat_record_t_stct , tnwg_portal_peer_dstat_record_t_stct
- repo_status : lbm_srp_repo_t_stct
- repo_type : lbm_srp_repo_t_stct
- req : lbmpdm_field_info_attr_stct_t
- reserved : lbm_umq_index_info_t_stct , lbm_umq_queue_application_set_t_stct , lbm_umq_queue_topic_t_stct
- reserved1 : lbm_rcv_transport_stats_lbtsmx_t_stct
- resolver_ip : lbm_ucast_resolver_entry_t_stct
- resp_blocked : lbm_context_stats_t_stct
- resp_msgs : lbm_event_queue_stats_t_stct
- resp_msgs_svc_max : lbm_event_queue_stats_t_stct
- resp_msgs_svc_mean : lbm_event_queue_stats_t_stct
- resp_msgs_svc_min : lbm_event_queue_stats_t_stct
- resp_msgs_tot : lbm_event_queue_stats_t_stct
- resp_would_block : lbm_context_stats_t_stct
- response : lbm_msg_t_stct
- rpp_memory_sz : umestore_repo_dmon_stat_msg_t_stct
- rpp_mode : lbm_srp_repo_t_stct
- rtt_max : _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send , tnwg_dstat_peer_send_stats_t_stct
- rtt_mean : _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send , tnwg_dstat_peer_send_stats_t_stct
- rtt_min : _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send , tnwg_dstat_peer_send_stats_t_stct
- rtt_samples : _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send , tnwg_dstat_peer_send_stats_t_stct
- rx_bytes_sent : _Lbmmon__DROMonMsg__Stats__Portal__Peer__UDPSend , lbm_src_transport_stats_lbtrm_t_stct , lbm_src_transport_stats_lbtru_t_stct , tnwg_dstat_peer_udp_send_stats_t_stct
- rxs_sent : _Lbmmon__DROMonMsg__Stats__Portal__Peer__UDPSend , lbm_src_transport_stats_lbtrm_t_stct , lbm_src_transport_stats_lbtru_t_stct , tnwg_dstat_peer_udp_send_stats_t_stct